Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Interconnect
    • Overview
    • Operation overview
    • Terminology
    • Points of presence
    • Transceivers
    • Trunk
    • Private connection
    • Public connection
    • CIC partners
    • Monitoring
    • Data size and connection capacity
    • Quotas and limits
  • Pricing policy
  • Access management
    • API authentication
      • Overview
        • Overview
        • Get
        • List
  • Release notes

In this article:

  • gRPC request
  • ListPartnersRequest
  • ListPartnersResponse
  • Partner
  1. API reference
  2. gRPC
  3. Partner
  4. List

Cloud Interconnect API, gRPC: PartnerService.List

Written by
Yandex Cloud
Improved by
Tania L.
Updated at May 29, 2026
  • gRPC request
  • ListPartnersRequest
  • ListPartnersResponse
  • Partner

Retrieves the list of Partner resources in the specified folder.

gRPC requestgRPC request

rpc List (ListPartnersRequest) returns (ListPartnersResponse)

ListPartnersRequestListPartnersRequest

{
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListPartnersResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListPartnersResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 100.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on [Subnet.name] field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

The maximum string length in characters is 1000.

ListPartnersResponseListPartnersResponse

{
  "partners": [
    {
      "id": "string",
      "name": "string",
      "url": "string",
      "pop_ids": [
        "string"
      ],
      "status": "Status"
    }
  ],
  "next_page_token": "string"
}

Field

Description

partners[]

Partner

List of Partner resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListPartnersRequest.page_size, use
the next_page_token as the value
for the ListPartnersRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

PartnerPartner

A Partner resource.

Field

Description

id

string

ID of the partner.

name

string

Name of the partner.

url

string

Link to info about the partner.

pop_ids[]

string

List of pointOfPresence IDs that the partner is connected to.

status

enum Status

Status of the partner.

  • UP: Partner is up and operational.
  • DOWN: Partner is down and not operational.

Was the article helpful?

Previous
Get
Next
Overview
© 2026 Direct Cursus Technology L.L.C.